ROLL  [![Build Status](https://travis-ci.org/av-virlan/ROLL.png?branch=master)](https://travis-ci.org/av-virlan/ROLL)  
=====  
  
Round robin balancer for [FOLD](https://github.com/av-virlan/FOLD/)

Features  
---------  
* Performs round robin check for a list of available proxies
* Uses abstract store
* Exports a single one-purpose method
* Can be abstrated and used in other mechanisms

Functionality
==============

How to use?
-----------

The balancer defines a `next(_id, _proxyList, _store, _callback)` method that can be called:

*Extract from FOLD:*
```javascript
balancer.next(proxyFunction.id, proxyFunction.proxies, FOLD.store, function(host, port){
  proxy.proxyRequest(
      ...
  );
});
```        

The result
-----------

The method executes the *callback* and sends the **_host_** and **_port_** for the proxy that should be called