require('pkginfo')(module, 'version');

var uuid = function(){
  return 'xxxxxxxx-xxxx-4xxx-yxxx-xxxxxxxxxxxx'.replace(/[xy]/g, function(c) {
      var r = Math.random()*16|0, v = c == 'x' ? r : (r&0x3|0x8);
      return v.toString(16);
  });
};

var ROLL = {};

ROLL.uuid = uuid();
ROLL.next = function(id, proxyList, store, callback){
  var proxyIndex = store.fetch(ROLL.uuid, "nextProxy_" + id, 0);
  store.put(ROLL.uuid,"nextProxy_" + id, (proxyIndex + 1) % proxyList.length);
  callback(proxyList[proxyIndex].host, proxyList[proxyIndex].port); 
};

exports.next = ROLL.next;